<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>{{ 'common.servizi' | translate | titlecase }}</ion-title>
<!--    <ion-buttons slot='primary'>
      <ion-button color='primary' (click)='openHelpModal()'>
        <ion-icon slot='icon-only' size='large' slot='end'
                  name='help-outline' class='custom'>
        </ion-icon>
      </ion-button>
    </ion-buttons>-->
  </ion-toolbar>
</ion-header>
<ion-content fullscreen='true'>
  <ion-header collapse='condense'>
    <ion-toolbar class='custom-toolbar'>
      <ion-title size='large' color='dark'>
        <div class='toolbar-title'> {{ 'common.servizi' | translate | titlecase }}
          <span>
            <ion-img
              style='width: 50px; display: inline-block; float: right; opacity: 0.5'
              src='assets/icon/icon-loading-services.svg'
            ></ion-img>
          </span>
        </div>
      </ion-title>
    </ion-toolbar>
  </ion-header>
      <div *ngIf='servicesByCategory.length == 0 && isLoading === true'>
        <loading-text></loading-text>
      </div>
      <ion-list *ngIf='servicesByCategory.length == 0 && isLoading === false'>
        <ion-list-header>
          <h3>{{ 'topics.nessun_servizio' | translate }}</h3>
        </ion-list-header>
      </ion-list>
  <ion-list *ngIf='servicesByCategory.length > 0 && isLoading === false'>
    <div *ngFor='let item of servicesByCategory' class=''>
      <ion-list *ngIf='item.category.parent_id != null'>
        <ion-item-divider sticky='true' class='' color='primary'>
          <ion-label class='ion-text-wrap'>{{item.category.name}}</ion-label>
        </ion-item-divider>
        <ng-container *ngIf='item.category.groups'>
          <ng-container *ngFor='let group of item.category.groups'>
            <ion-item lines='none' [detail]='false' (click)="navigateWithData('groups/'+group.id, group)">
          <ion-icon name="folder-outline" size='large' slot='end' *ngIf='!group.shared_with_group'></ion-icon>
              <ion-label class='ion-text-wrap'>
                {{group.name}}
              </ion-label>
            </ion-item>
<!--            <ng-container *ngIf='!group.shared_with_group'>
              <ion-item *ngFor='let s of group.value; let last = last;'
                          (click)="navigateWithData('service-details', s)" detail='true' [lines]='last ? "none" : true'>
                <ion-icon name="remove-outline" slot='start' *ngIf='group.key !== "null"'></ion-icon>
                <ion-label class='ion-text-wrap'>{{s.name}}</ion-label>
              </ion-item>
            </ng-container>-->
          </ng-container>
        </ng-container>
        <!--  single service  <ng-container *ngIf='item.category.services'>
          <ng-container *ngFor='let service of item.category.services'>
            <ion-item lines='none' [detail]='true' (click)="navigateWithData('service-details', service)" *ngIf='!service.shared_with_group'>
              <ion-label class='ion-text-wrap'>
                {{service.name}}
              </ion-label>
            </ion-item>
          </ng-container>
        </ng-container>-->
        <ng-container *ngIf='item.category.subCategories.length > 0'>
          <ng-container *ngFor='let sub of item.category.subCategories; let last = last;'>
            <ion-item detail='true' [lines]='last ? "none" : true' (click)="navigateWithData('/sub-topics/'+sub.id, item)">
              <ion-label class='ion-text-wrap'>
                <h2>{{sub.name}}</h2>
              </ion-label>
            </ion-item>
          </ng-container>
        </ng-container>
      </ion-list>
      <ion-list *ngIf='item.category.groups.length == 0 && item.category.subCategories.length == 0 && item.category.services.length == 0 '>
        <ion-list-header>
          <h3>{{ 'topics.nessun_servizio' | translate }}</h3>
        </ion-list-header>
      </ion-list>
    </div>
  </ion-list>
</ion-content>
